package com.miaxis.question.mapper;

import java.util.List;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.miaxis.question.domain.QuestionInfo;
import com.miaxis.question.dto.*;
import com.miaxis.question.vo.*;

/**
 * 题库Mapper接口
 *
 * @author miaxis
 * @date 2021-10-12
 */
public interface QuestionInfoMapper extends BaseMapper<QuestionInfo> {
    /**
     * 查询题库列表
     *
     * @param
     * @return 题库集合
     */
    List<QuestionInfo> selectQuestionInfoList(QuestionInfoDTO questionInfoDTO);

    List<QuestionInfo> selectQuestionInfoListIds(Long[] ids);

    List<QuestionInfoJxVO> selectJxQuestionInfo(QuestionInfoFlDTO questionInfoFlDTO);

    List<QuestionInfoSxVO> selectSxQuestionInfo(QuestionInfoFlDTO questionInfoFlDTO);

    List<QuestionInfoDfVO> selectDfQuestionInfo(QuestionInfoFlDTO questionInfoFlDTO);

    List<QuestionInfoFlVO> selectFlQuestionInfo(QuestionInfoFlDTO questionInfoFlDTO);

    List<QuestionInfo> selectNormalQuestionInfoList(QuestionInfoDTO questionInfoDTO);

    List<QuestionInfoExcelTypeVo> selectIssueType1(int subject);

    List<QuestionInfoExcelVo> selecQuestionInfoExcel1(String issueType);

    List<QuestionInfoExcelTypeVo> selectIssueType2(int subject);

    List<QuestionInfoExcelVo> selecQuestionInfoExcel2(String issueType);

    List<QuestionInfoExcelTypeVo> selectIssueType3(int subject);

    List<QuestionInfoExcelVo> selecQuestionInfoExcel3(String issueType);

    List<QuestionInfoExcelTypeVo> selectIssueType4(int subject);

    List<QuestionInfoExcelVo> selecQuestionInfoExcel4(String issueType);

    List<QuestionInfoExcelVo> selectQuestionInfoSortList(QuestionInfoSortDTO questionInfoSortDTO);

    void updateSortById(QuestionInfoSortUpateDTO dto);

    List<QuestionInfo> selectTestQuestionInfoList(QuestionInfoTestDTO questionInfoTestDTO);

    List<QuestionInfo> selectFreeQuestionInfoList(QuestionInfoFreeDTO freeDTO);

    List<QuestionInfo> selectQuestionInfoListByYdtIds(Long[] ids);

}
